<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <title>ShortMe</title>
    <!-- meta -->
    <meta name="description" content="">
    <meta name="author" content="">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <!-- styles -->
    <link href="//cdnjs.cloudflare.com/ajax/libs/bulma/0.7.1/css/bulma.min.css" rel="stylesheet">
    {% block css %}{% endblock %}
</head>

<body>
    <div class="container">
        <div class="column is-one-third">
            <br>
            <h1 class="title">ShortMe your URL</h1>
            <hr><br>
            <form action="/" method="POST">
                <div class="control">
                    <input name="url" class="input" type="url" placeholder="Enter a URL" required>
                </div>
                <input type="submit" class="button is-primary is-fullwidth" value="Submit">
            </form>
            <br>
            <hr>
            {% if short_url %}
            <hr><br>
            <h2 class="title">Shortened URL</h2>
            <a class="action" href="{{short_url}}">{{short_url}}</a>
            <br>
            <hr>
            {% endif %}
            {% for message in get_flashed_messages() %}
            <div class="flash">{{ message }}</div>
            {% endfor %}
        </div>
    </div>
    </div>

</body>

</html>